List agents
Base URL
https://{kibana_url}
GET
/api/agent_builder/agents
GET
/s/{space_id} /api/agent_builder/agents
Auth
List all available agents. Use this endpoint to retrieve complete agent information including their current configuration and assigned tools. To learn more about agents, refer to the agents documentation .
Privileges
agentBuilder:read
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
include_hidden
boolean · default: false
When true, hidden agents (such as built-in system agents) are included in the response.
200
Indicates a successful response
application/json
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
GET kbn://api/agent_builder/agents
1
2
3
curl \
-X GET "${KIBANA_URL}/api/agent_builder/agents" \
-H "Authorization: ApiKey ${API_KEY}"
Response
Example response that returns one built-in Elastic agent and one created by the user
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
{
"results": [
{
"access_control": "null",
"configuration": {
"tools": [
{
"tool_ids": [
"platform.core.search",
"platform.core.list_indices",
"platform.core.get_index_mapping",
"platform.core.get_document_by_id"
]
}
]
},
"description": "Elastic AI Agent",
"id": "elastic-ai-agent",
"name": "Elastic AI Agent",
"permissions": {
"update_access_control": false,
"update_agent": false,
"update_approvals": false
},
"type": "chat"
},
{
"access_control": {
"access_mode": "private",
"entries": [
{
"name": "alice",
"role": "manager",
"type": "user"
}
]
},
"avatar_color": "#BFDBFF",
"avatar_symbol": "SI",
"configuration": {
"instructions": "You are a custom agent that wants to help searching data using all indices starting with prefix \u0022content-\u0022.",
"tools": [
{
"tool_ids": [
"platform.core.search",
"platform.core.list_indices",
"platform.core.get_index_mapping",
"platform.core.get_document_by_id"
]
}
]
},
"description": "Hi! I can help you search the data within the indices starting with \u0022content-\u0022 prefix.",
"id": "created-agent-id",
"labels": [
"custom-indices",
"department-search"
],
"name": "Search Index Helper",
"permissions": {
"update_access_control": true,
"update_agent": true,
"update_approvals": true
},
"type": "chat"
}
]
}